### Method

# GimpUi PreviewArea set_colormap

#### Declaration [src]

    void
    gimp_preview_area_set_colormap (
      GimpPreviewArea* area,
      const guchar* colormap,
      gint num_colors
    )

#### Description [src]

Sets the colormap for the `GimpPreviewArea` widget. You need to call this function before you use `gimp_preview_area_draw()` with an image type of `GIMP_INDEXED_IMAGE` or `GIMP_INDEXEDA_IMAGE`.

Since GIMP 2.2.

#### Parameters

`colormap`

  Type: An array of `guchar`

  A #guchar buffer that contains the colormap.

  The data is owned by the caller of the method.

`num_colors`

  Type: `gint`

  The number of colors in the colormap.